summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMart Raudsepp <leio@gentoo.org>2020-03-02 18:34:54 +0200
committerMart Raudsepp <leio@gentoo.org>2020-03-02 18:35:10 +0200
commitc3da7034066086c1fc92e174ca842b2b25cdebbf (patch)
tree06cac3445d87e9014af1f520503b22b9e1236f2e /dev-libs
parentgnome-extra/gnome-shell-extensions-topicons-plus: add snapshot for 3.34 compa... (diff)
downloadgentoo-c3da7034066086c1fc92e174ca842b2b25cdebbf.tar.gz
gentoo-c3da7034066086c1fc92e174ca842b2b25cdebbf.tar.bz2
gentoo-c3da7034066086c1fc92e174ca842b2b25cdebbf.zip
dev-libs/fribidi: bump to 1.0.9
Package-Manager: Portage-2.3.84, Repoman-2.3.20 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
Diffstat (limited to 'dev-libs')
-rw-r--r--dev-libs/fribidi/Manifest1
-rw-r--r--dev-libs/fribidi/fribidi-1.0.9.ebuild37
2 files changed, 38 insertions, 0 deletions
diff --git a/dev-libs/fribidi/Manifest b/dev-libs/fribidi/Manifest
index 4cf16dd2603..4ca5a16c457 100644
--- a/dev-libs/fribidi/Manifest
+++ b/dev-libs/fribidi/Manifest
@@ -1 +1,2 @@
DIST fribidi-1.0.8.tar.bz2 2077095 BLAKE2B 2b9a0887a02bf6bdd7f285aa1df012e5e8f675fc930b612f53a2cce5ef4ef275610ce9a1aec9debf4c5239164fdab4b175e36f8f07288949adf2496d01c95f67 SHA512 d66b1524b26d227fd6a628f438efb875c023ae3be708acaaad11f1f62d0902de0a5f57124458291ef2b0fcd89356c52ab8ae5559b0b5a93fa435b92f1d098ba2
+DIST fribidi-1.0.9.tar.xz 1141684 BLAKE2B 6c9e9866ad900c041968f96ffc93e118715a319fbc47a5fe09b4a68daa5096e8c3cc1f0be1f8754ecf60b265f51fada75ac71f8bf1853f59e891644a97eaf644 SHA512 e66989830941172fa003c8b9376719282fa1039592a1e158e975cab81ce8dcb2755453c64906a8464c047f9e9154e012d9bd37256b1f463e235648a13e4601ed
diff --git a/dev-libs/fribidi/fribidi-1.0.9.ebuild b/dev-libs/fribidi/fribidi-1.0.9.ebuild
new file mode 100644
index 00000000000..f4c914bcaff
--- /dev/null
+++ b/dev-libs/fribidi/fribidi-1.0.9.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib-minimal
+
+DESCRIPTION="A free implementation of the unicode bidirectional algorithm"
+HOMEPAGE="https://fribidi.org/"
+SRC_URI="https://github.com/fribidi/fribidi/releases/download/v${PV}/${P}.tar.xz"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="static-libs"
+
+RDEPEND=""
+DEPEND=""
+BDEPEND="
+ virtual/pkgconfig[${MULTILIB_USEDEP}]
+"
+
+DOCS=( AUTHORS NEWS ChangeLog THANKS ) # README points at README.md which wasn't disted with EAPI-7
+
+multilib_src_configure() {
+ local myeconfargs=(
+ --enable-shared
+ $(use_enable static-libs static)
+ --disable-debug
+ )
+ ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_install_all() {
+ einstalldocs
+ find "${ED}" -name '*.la' -delete || die
+}